### Function Macro

# Tsparql CHECK_VERSION

#### Declaration [src]

    #define TRACKER_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description [src]

This macro essentially does the same thing as `tracker_check_version()` but as a pre-processor operation rather than a run-time operation. It will evaluate true or false based the version passed in and the version available.

Simple version check example An example of how to make sure you have the version of Tracker installed to run your code. if (!TRACKER_CHECK_VERSION (0, 10, 7)) { g_error (“Tracker version 0.10.7 or above is needed”); } .

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  The required major version.

`minor`

  Type: `-`

  The required minor version.

`micro`

  Type: `-`

  The required micro version.